    package com.bonus.hn.bearing.capacity.backstage.dataindex.dao;

import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.DataHomeBean;
import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.ProjectBean;
import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.ToolsBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import org.springframework.stereotype.Repository;

import java.util.List;

    /**
 * @author xliu
 * @date 2023/11/10 13:27
 */
@Repository(value = "DataIndexDao")
public interface DataIndexDao {

    ProjectBean getProjectStatus(ProjectBean projectBean);

    ProjectBean getBranchOfficeTeamStatus(ProjectBean projectBean);

    ProjectBean getSubTeamStatus(ProjectBean projectBean);

    ProjectBean getOwnTeamStatus(ProjectBean projectBean);

    ProjectBean getToolStatus(ProjectBean projectBean);

    ProjectBean getSubTeamType(ProjectBean projectBean);

    List<DataHomeBean> getProjectMessage(DataHomeBean bean);

    String getTowerMessageByProId(String id, String str);

    DataHomeBean  getRealBar();

    List<DataHomeBean>getRealLine();


    DataHomeBean  getToolsBar();

    List<DataHomeBean>getToolsLine();

        List<ProjectBean> getToolList(ProjectBean o);

        int addToolInfo(ProjectBean bean);

        int updateTool(ProjectBean bean);

        ProjectBean getListTool(String id);

        int delToolsById(String id);

        List<ProjectBean> getActiveList(ProjectBean o);

        int delActiveById(ProjectBean bean);

        int addActive(ProjectBean bean);

        int addUseNum(ProjectBean bean);

        int delUseNum(ProjectBean bean);

        List<ProjectBean> getToolLists(ProjectBean b);

        List<ProjectBean> getSelfOwnedRepeat(ProjectBean bean);

        void updataSelfOwnedImportExcel(ProjectBean vo);

        void addSelfOwnedimportExcel(ProjectBean vo);

        int updateNum(ProjectBean bean);
    }
